org.apache.flume.channel.file.encryption

## Class CipherProvider.Encryptor

- java.lang.Object
- - org.apache.flume.channel.file.encryption.CipherProvider.Encryptor

- Enclosing class:
    CipherProvider

      public abstract static class CipherProvider.Encryptor
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CipherProvider.Encryptor.Builder<T extends CipherProvider.Encryptor>` Builder implementations MUST have a no-arg constructor

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherProvider.Encryptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract byte[]` | `encrypt(byte[] clearText)`
    `abstract String` | `getCodec()`
    `abstract byte[]` | `getParameters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CipherProvider.Encryptor

          public CipherProvider.Encryptor()

  - ### Method Detail

    - #### encrypt

          public abstract byte[] encrypt(byte[] clearText)

    - #### getParameters

          public abstract byte[] getParameters()

    - #### getCodec

          public abstract String getCodec()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.